Bug 212648 - System freeze loading bcm43xx with mem > 1GB on x86_64
System freeze loading bcm43xx with mem > 1GB on x86_64
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: John W. Linville
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-10-27 16:38 EDT by Heiko Jakob
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version: 2.6.19-1.2895.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-01-31 14:00:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Heiko Jakob 2006-10-27 16:38:26 EDT
Description of problem:

When loading the bcm43xx module with more then 1 GB memory on x86_64 results in
freezing the system.

Version-Release number of selected component (if applicable):
FC6 kernel 2.6.18-1.2798.fc6

How reproducible:
100 %

Steps to Reproduce:
1. Boot a x86_64 system with more then 1 GB memory
2. Install the bcm43xx firmware
3. modprobe bcm43xx

Actual results:

Limiting the memory by adding mem=1023 to the kernel boot parameters everything
works fine.

Expected results:

It should even work with more then 1GB memory.

Additional info:
The problem is discussed on the following URL. It seems it is a problem getting
DMA capable memory below 1 GB. Most bcm43xx Hardware has only 30/31-Bit
addressing and needs DMA below 1GB.
Comment 1 John W. Linville 2006-10-27 20:18:03 EDT
Test kernels w/ back-ported DMA fixes here:


Please give them a try and post the results here...thanks
Comment 2 Heiko Jakob 2006-10-28 12:41:13 EDT
Well, i gave it a try and the module loaded smoothly,
but bringing up the interface with "# ifconfig eth1 up" panics the kernel.

Call Trace:
DWARF2 unwinder stuck at error_exit+0x0/0x84
Leftover inexact backtrace:
<IRQ> [<ffffffff8035396>] vgacon_cursor+0x0/0x1a5
[<ffffffff882ecb86>] :bcm43xx:bcm43xx_dma_handle_xmitstatus+0x122/0x388
[<ffffffff882db96f>] :bcm43xx:bcm43xx_interrupt_tasklet+0x79f/0x889
[<ffffffff8028edbf>] tasklet_action+0x62/0xac
[<ffffffff80211cd8>] __do_softirq+0x5e/0xd5
[<ffffffff802756ff>] end_level_ioapic_vector+0x9/0x16
[<ffffffff8025d1f0>] call_softirq+0x1c/0x28
[<ffffffff8026a454>] do_softirq+0xc2/0x85
[<ffffffff8026a2e2>] do_IRQ+0xec/0xf5
[<ffffffff8025c509>] ret_from_intr+0x0/0xa
<EOI> [<ffffffff8025bfaa>] system_call+0x1a/0x83

Kernel pamic - not syncing: Aiee, killing interrupt handler!

With best regards 
Comment 3 Jarod Wilson 2006-11-01 14:16:16 EST
Just a data point to add to this one: my PowerBook G4 with 1.5GB of RAM in it
has zero problems loading up the bcm43xx module.
Comment 4 John W. Linville 2006-11-01 14:46:53 EST
Jarod, is that with the stock FC6 kernel?  Or my test kernel?
Comment 5 John W. Linville 2006-12-12 10:12:20 EST
Current kernels at the location from comment 1 now have the new d80211 
infrastructure available.  Please give those kernels a try, and be sure to 
change references in /etc/modprobe.conf to bcm43xx-d80211 instead of bcm43xx.  
You probably need to use v4 firmware as well.

Does that work any better for you?
Comment 6 Christopher Stone 2006-12-23 12:55:37 EST
John I just tested kernel-2.6.18-1.2861.2.1.fc6.jwltest.16 x86_64 kernel and
while the kernel no longer crashes, I could not get my wireless card to work.

I'm not sure which version of firmware I used, I just used what was already
installed nine months ago the last time I tried this.
Comment 7 Christopher Stone 2006-12-23 13:11:17 EST
I do get this message:
Dec 23 10:07:42 rivendell kernel: bcm43xx_d80211: ASSERTION FAILED
(radio_attenuation < 10) at:
Comment 8 megareg 2007-01-02 15:12:05 EST
This bug seems to be fixed in the recent kernels from kernels.org. Because of
this I use a self compiled kernel to run both the wireless LAN and my 2 gigs of
Chris` is another well known bug/problem, but in my opinion it has nothing to do
with this one...
Comment 9 Christopher Stone 2007-01-02 15:21:52 EST
I wish someone would package a vanilla kernel rpm for extras.
Comment 10 Alex Tucker 2007-01-22 16:33:28 EST
Kernel 2.6.19 fixed this bug for me, and now 2.6.19-1.2895.fc6 is out I've
tested the RH kernel which seems to work fine -- at least I'm submitting this
comment using the bcm43xx driver with 2GB RAM on a x86_64 machine.
Comment 11 John W. Linville 2007-01-31 14:00:30 EST
Closing based on comment 10.  Please re-open (or open a new bug) if problems 
continue with kernels later than 2.6.19-1.2895.fc6.

Note You need to log in before you can comment on or make changes to this bug.